Name: fonts-tweak-tool
Version: 0.4.8
Release: 0
Summary: Tool for customizing fonts per language

License: LGPL-3.0-or-later
URL: https://gitlab.com/tagoh/%{name}/
Source0: https://gitlab.com/tagoh/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
# https://gitlab.com/tagoh/fonts-tweak-tool/-/archive/0.4.8/fonts-tweak-tool-0.4.8.tar.bz2

BuildRequires: desktop-file-utils
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: python3-devel
BuildRequires: libtool
BuildRequires: pkgconfig(gobject-introspection-1.0) pkgconfig(glib-2.0)
BuildRequires: make
BuildRequires: pkgconfig(libxml-2.0)
Requires: libeasyfc-gobject >= 0.14.1
Requires: python3-gobject
Requires: gtk3
Requires: hicolor-icon-theme

%description
fonts-tweak-tool is a GUI tool for customizing fonts per language on desktops
using fontconfig.

%prep
%autosetup -p1
autoreconf --install

%build
%configure --disable-static PYTHON=%{__python3}
#cat ./po/Makefile
%make_build

%install
%make_install

desktop-file-install --dir=%{buildroot}%{_datadir}/applications --remove-only-show-in="GNOME;Unity;" fonts-tweak-tool.desktop

rm -f %{buildroot}%{_libdir}/lib*.so
%__brp_remove_la_files
rm -f %{buildroot}%{_datadir}/gir-*/FontsTweak-*.gir

%find_lang %{name}

%ldconfig_scriptlets

%files -f %{name}.lang
%doc README AUTHORS NEWS
%license COPYING
%{_bindir}/%{name}
%{python3_sitearch}/fontstweak
%{_datadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_libdir}/libfontstweak-resources.so.0*
%{_libdir}/girepository-*/FontsTweak-*.typelib


%changelog
